<%@page contentType="text/html; charset=UTF-8"%>
<%@page import="com.csc.library.entry.HelpEntry,com.csc.library.system.*,com.csc.library.utilities.*"%>
<%@ page import="com.csc.library.entry.*,com.csc.library.database.*,com.csc.library.session.*,com.csc.library.report.ReportUDF"  %>

<jsp:useBean id="AS08" class="com.csc.library.system.Task" scope="page"/>
<%
AS08.setChannel(request,response);
UIManager screen = (UIManager) AS08.process("SingleEntry","AS08");
screen.referLangOff();
CscCalendar cs=new CscCalendar();
ReportUDF rp=new ReportUDF();
%>
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="../CSS/TISCO.css" rel="stylesheet" type="text/css">
<script  language="JavaScript" src="../JS/SCREEN.js"></script>

<script type='text/javascript' src='../JS/ICONSMENU.js'></script>
<script language='javascript' src='../JS/HOTKEY.js'></script>
<script language='javascript'>setLang('<%=screen.getUProfile().get("lang")%>');</script>

<script language="javascript">
<!--
function beforeGo(){
  var _dstype="";
  with(document.cscform){
       for(i=0;i<dstype.length;i++){
       if(dstype[i].checked){
           _dstype=dstype[i].value;
           __dstype.value=_dstype;
         }//if
       }//for
    }//with
}
function GoSave() {
  beforeGo();
  confirmSave();
  }
function GoDelete(){ edelete(); }
function GoSearch(){ search(); }
function GoUpdate(){
  beforeGo();
  update();
 }
 
 function onloadDstype(){
 	with(document.cscform){
	       if(__dstype.value.length>0){
		         for(i=0;i<dstype.length;i++){
				         if(__dstype.value==dstype[i].value){
						        dstype[i].checked=true;
								break;
						 }
				 }
		   } else{
						       dstype[0].checked=true;
	    	 }
    	}
 }
 
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
function showHelp(page,objid,objname,objclass,objtype){
     var _help="";
	 with(document.cscform){
	         _help=page+"?objid="+objid+"&objname="+objname+"&objclass="+objclass+"&objtype="+objtype;
	 }
	window.open(_help,"Help","left=150,top=150,width=700,height=500,toolbar=no,status=no,scrollbars=yes");
}

//-->
</script>

</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0"  onLoad="onloadDstype();">
<div id="toolTipLayer" style="position:absolute; visibility: hidden"></div>
<script language="javascript">initToolTips();</script>
  <form name="cscform" method="post">
 

<!----------BEGIN CSC INITIAL ZONE ------------------------>

<%=screen.InitialVariable()%>

<!----------END CSC INITIAL ZONE -------------------------->

  <input type="hidden"name="__screen"  value="AS08">
  <input type="hidden" name="__help" value="">
  <input type="hidden" name="__cmd"  value="">
  <input type="hidden" name="__language" value ="<%=screen.getUProfile().get("lang")%>"> 
  <input type="hidden" name="__fixCon" value="">
  <input name="__notNull" type="hidden" value="<%=screen.getRequire()%>">
  <input name="__companyid" type="hidden" value="<%=screen.getUProfile().get("companyid")%>">
  <input type="hidden" name="__dscreateby" value="<%=screen.getUProfile().get("userid")%>" >
  <input type="hidden" name="__dscreatedate" value="<%=cs.getYYYYMMDDHHMMSS()%>">
  <input name="__dstype" type="hidden" value="<%=screen.getDataLabel("dstype")%>">
    <script language="JavaScript">document.write(Icons());</script>
  <br>
  <div align="center">
    <table  cellpadding="0"  cellspacing="0"   class="large">
      <tr >
        <td  class="header"> AS08
        <script language="javascript">swapLang('Datasourse Table Record');</script>&nbsp;</td>
      </tr>
      <tr >
        <td  colspan="2">
          <div align="center">
            <table  class="inframe" cellpadding="0" cellspacing="0" >
              <tr>
                <td colspan="3"  class="blankspace"></td>
              </tr>
              <tr >
                <td width="94" nowrap  ><div align="right"><%=screen.getLabel("dsid")%>&nbsp; </div></td>
                <td width="570" ><%=screen.getInput("dsid")%>
                  <!--a href="javascript:showHelp('as08help.jsp','__DSID','__DSNAME','__DSCLASS','DSTYPE');" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('Image43','','../IMAGES/BUTTON/SWAP/HELP_SWAP20.gif',1)"><img src="../IMAGES/BUTTON/MAIN/HELP20.gif" alt="รายการหัวข้อประเมินผล" name="Image43" width="20" height="20" border="0" align="absmiddle" id="Image43"></a-->
                </td>
                <td width="225" nowrap ><input type="radio" name="dstype" value="0">
                <%=rp.getSystemCode("Dstype",screen.getUProfile().get("lang"),"0")%></td>
              </tr>
              <tr >
                <td nowrap  ><div align="right"><%=screen.getLabel("tname")%>&nbsp; </div></td>
                <td ><%=screen.getInput("tname")%></td>
                <td nowrap ><input type="radio" name="dstype" value="1"  checked>
                <%=rp.getSystemCode("Dstype",screen.getUProfile().get("lang"),"1")%> </td>
              </tr>
              <tr >
                <td nowrap><div align="right"><%=screen.getLabel("tname")%>&nbsp; </div></td>
                <td ><%=screen.getInput("ename")%></td>
                <td nowrap ><input type="radio" name="dstype" value="2">
                  <%=rp.getSystemCode("Dstype",screen.getUProfile().get("lang"),"2")%></td>
              </tr>
              <tr >
                <td nowrap><div align="right"><%=screen.getLabel("dsclass")%>&nbsp;</div></td>
                <td ><%=screen.getInput("dsclass")%></td>
                <td >&nbsp;</td>
              </tr>
              <tr >
                <td colspan="3" class="blankspace"></td>
              </tr>
              <tr >
                <td colspan="3" class="blankspace"></td>
              </tr>
              <TR>
                <TD colspan="3"><div align="center"><script language="javascript">printEditCheck('<%=screen.getDataLabel("edit_by")%>','<%=screen.getDataLabel("edit_date")%>','<%=screen.getDataLabel("edit_time")%>','<%=screen.getUProfile().get("userid")%>');
						</script></div></TD>
              </TR>
              <tr >
                <td colspan="3" class="blankspace"></td>
              </tr>
            </table>
          </div></td>
      </tr>
      <tr bordercolor="0069B3">
        <td  class="bottom"></td>
      </tr>
    </table>
  </div>


<!----------BEGIN CSC ENDING ZONE ------------------------>

<%=screen.endJSP()%>

<!----------END CSC ENDING ZONE -------------------------->

</form>
</body>
</html>
<%
screen.referLangOff();
%>
